@keyframes shrinkRight{
  0% { width: 100%; }
  40% { width: 0%; }
  100% { width: 0%; }
} 

@keyframes glow2 {
  from {
    text-shadow: 0 0 1px #FF3366, 0 0 2px #CC294F, 0 0 3px #991F3A;
  }
  to {
    text-shadow: 0 0 2px #FF3366, 0 0 4px #CC294F, 0 0 6px #991F3A, 0 0 8px #661426;
  }
}

:root{
  --color4: white;
}

.name{
  font-weight: bold;
}

.title.short{
  display: none;
}

.title{
  width: fit-content;
  position: relative;
}

.titleText{
  padding: 2rem;
}

.concealer{
  position: absolute;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  background-color: var(--color4);
  animation: shrinkRight 10s linear;
}

@media (max-width: 800px){
  .title .ghost{
    display: none;
  }
}

@media (max-width: 575px){
  .title.long{
    display: none;
  }
  .title.short{
    display: inline-block;
  }
}

@media (prefers-color-scheme: dark) {
  :root{
    --color4: #1A1A1A;
  }  
  .name{
    animation: glow2 1.5s ease-in-out infinite alternate;
  }
}

@supports(height: 1svh){
  #current-content{
    height: 100svh;
    width: 100svw;
    overflow: hidden;
  }
}

.darkmode{
  --color4: #1A1A1A;
}

.darkmode .name{
  animation: glow2 1.5s ease-in-out infinite alternate;
}

.lightmode{
  --color4: white;
}

.lightmode .name{
  animation: none;
}